%global commit0 cb106b6d5510ee8c606ea833caceedc1910cf872
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:		libonion
Version:	0.7.git
Release:	24%{?dist}
Summary:	A C library to create simple HTTP servers and web applications.

Group:		Development/Libraries
License:	ASL 2.0
URL:		http://www.github.com/davidmoreno/onion
%if 0%{?fedora}
Source0:	https://github.com/davidmoreno/onion/archive/%{commit0}.tar.gz#/libonion-%{shortcommit0}.tar.gz
%endif
%if 0%{?el7}
Source0:        https://github.com/davidmoreno/onion/archive/%{commit0}.tar.gz#/libonion-%{shortcommit0}.tar.gz
%endif
%if 0%{?el6}
Source0:        https://github.com/davidmoreno/onion/archive/%{commit0}.tar.gz
%endif

%if 0%{?fedora}
BuildRequires:	cmake hiredis-devel sqlite-devel gnutls-devel libgcrypt-devel libxml2-devel pam-devel systemd-devel cairo-devel libpng-devel libjpeg-turbo-devel gc-devel
%endif
%if 0%{?el7}
BuildRequires: cmake hiredis-devel sqlite-devel gnutls-devel libgcrypt-devel libxml2-devel pam-devel systemd-devel cairo-devel libpng-devel libjpeg-turbo-devel gc-devel
%endif
%if 0%{?el6}
BuildRequires: cmake hiredis-devel sqlite-devel gnutls-devel libgcrypt-devel libxml2-devel pam-devel cairo-devel libpng-devel libjpeg-turbo-devel gc-devel
%endif
Requires:	hiredis sqlite gnutls libgcrypt libxml2 pam cairo libpng libjpeg-turbo gc

%description
A C library to create simple HTTP servers and web applications.

%package devel
Summary: Development files for onion
License: ASL2.0
%description devel
Development files for onion

%package cpp
Summary: C++ bindings to onion
License: ASL 2.0
%description cpp
C++ bindings to onion

%package devel-static
Summary: Static development files for libonion
License: ASL 2.0
%description devel-static
Static development files for libonion

%package cpp-devel-static
Summary: Static development files for C++ bindings to onion
License: ASL 2.0
%description cpp-devel-static
Static development files for C++ bindings to onion

%package cpp-devel
Summary: Development files for C++ bindings to onion
License: ASL 2.0
%description cpp-devel
Development files for C++ bindings to onion

%package otop
Summary: Web based frontend to top
License: ASL 2.0
%description otop
Web based frontend to top built on libonion

%package oterm
Summary: Web based terminal emulator
License: ASL 2.0
%description oterm
Web based terminal emulator built on libonion

%package otemplate
Summary: Template support for libonion
License: ASL 2.0
%description otemplate
Template support for libonion

%package opack
Summary: Static file packager for libonion
License: ASL 2.0
%description opack
Static file packager for libonion

%package examples
Summary: Example programs for libonion
License: ASL 2.0
%description examples
Example programs for libonion

%prep
%autosetup -n onion-%{commit0}


%build
%cmake . -DCMAKE_INSTALL_LIBDIR=lib64
make %{?_smp_mflags}


%install
%make_install DESTDIR=%{buildroot}


%files
%{_libdir}/libonion.so*

%files devel
%{_includedir}/onion/*.h
%{_includedir}/onion/extras/*.h

%files cpp
%{_libdir}/libonioncpp.so*

%files devel-static
%{_libdir}/libonion_*.a

%files cpp-devel-static
%{_libdir}/libonioncpp_*.a

%files cpp-devel
%{_includedir}/onion/*.hpp

%files otop
%{_bindir}/otop

%files oterm
%{_bindir}/oterm

%files opack
%{_bindir}/opack

%files otemplate
%{_bindir}/otemplate
%{_libdir}/otemplate/*

%files examples
%{_bindir}/onion-cairo_example
%{_bindir}/onion-crl
%{_bindir}/onion-fileserver
%{_bindir}/onion-interactive
%{_bindir}/onion-ofileserver

%changelog
* Mon Mar 21 2016 Zachary Grafton <zacharygrafton@gmail.com>
- Add support for CentOS6
* Tue Jan 26 2016 Zachary Grafton <zacharygrafton@gmail.com>
- Initial RPM release

